import { createReducer, on } from '@ngrx/store';

import { State, initialState } from './state';
import { loadDashboardsSuccess } from './action';

export const reducer = createReducer(
  initialState,
  on(loadDashboardsSuccess, (state, { dashboards }) => ({
    dashboards: dashboards
  }))
);
